org.apache.jmeter.testbeans.gui

## Class TextAreaEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.jmeter.testbeans.gui.TextAreaEditor

- All Implemented Interfaces:
    java.awt.event.FocusListener, java.beans.PropertyChangeListener, java.beans.PropertyEditor, java.util.EventListener

      public class TextAreaEditor
      extends java.beans.PropertyEditorSupport
      implements java.awt.event.FocusListener, java.beans.PropertyChangeListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaEditor()`
    `TextAreaEditor(java.lang.Object source)`
    `TextAreaEditor(java.beans.PropertyDescriptor descriptor)` Construct a `TextAreaEditor` using the properties of a given `PropertyDescriptor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(java.awt.event.FocusEvent e)`
    `void` | `focusLost(java.awt.event.FocusEvent e)`
    `java.lang.String` | `getAsText()`
    `java.awt.Component` | `getCustomEditor()`
    `java.lang.Object` | `getValue()`
    `void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
    `void` | `setAsText(java.lang.String text)`
    `void` | `setValue(java.lang.Object value)`
    `boolean` | `supportsCustomEditor()`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextAreaEditor

          public TextAreaEditor()

    - #### TextAreaEditor

          public TextAreaEditor(java.lang.Object source)

      Parameters:
        `source` - the source used for event firing

    - #### TextAreaEditor

          public TextAreaEditor(java.beans.PropertyDescriptor descriptor)

      Construct a `TextAreaEditor` using the properties of a given `PropertyDescriptor`
      Parameters:
        `descriptor` - to be used for the editor. Must not be `null`

  - ### Method Detail

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent e)

      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent e)

      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`

    - #### getAsText

          public java.lang.String getAsText()

      Specified by:
        `getAsText` in interface `java.beans.PropertyEditor`
      Overrides:
        `getAsText` in class `java.beans.PropertyEditorSupport`

    - #### getCustomEditor

          public java.awt.Component getCustomEditor()

      Specified by:
        `getCustomEditor` in interface `java.beans.PropertyEditor`
      Overrides:
        `getCustomEditor` in class `java.beans.PropertyEditorSupport`

    - #### setAsText

          public void setAsText(java.lang.String text)
                         throws java.lang.IllegalArgumentException

      Specified by:
        `setAsText` in interface `java.beans.PropertyEditor`
      Overrides:
        `setAsText` in class `java.beans.PropertyEditorSupport`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setValue

          public void setValue(java.lang.Object value)

      Specified by:
        `setValue` in interface `java.beans.PropertyEditor`
      Overrides:
        `setValue` in class `java.beans.PropertyEditorSupport`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `java.beans.PropertyEditor`
      Overrides:
        `getValue` in class `java.beans.PropertyEditorSupport`

    - #### supportsCustomEditor

          public boolean supportsCustomEditor()

      Specified by:
        `supportsCustomEditor` in interface `java.beans.PropertyEditor`
      Overrides:
        `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.